*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

.flex-container{
	background-color: gray;
	height: 500px;
	padding: 20px;
	display: flex;

	/*flex properties - will only work if flex property is declared*/

	/*justify-content: value (x-axis)*/
		/*justify-content: flex-start; default behavior of flex*/
		justify-content: center;
		/*justify-content: flex-end; right*/
		/*justify-content: space-between; between elements*/
		/*justify-content: space-around; add up space between elements*/
		/*justify-content: space-evenly; equal spaces between elements*/

	/*flex-direction:  value*/
		/*flex-direction: row; default behavior of flex*/
		/*flex-direction: column;*/
		/*flex-direction: row-reverse; reversed right align*/
		/*flex-direction: column-reverse; reversed bottom align*/

	/*align-items:  value (y-axis)*/
		/*align-items: stretch; default value*/
		/*align-items: flex-start;*/
		align-items: center;
		/*align-items: flex-end;*/

	/*flex-wrap: value; compress the text and proceed to next line*/
		/*flex-wrap: wrap;*/
		/*flex-wrap: nowrap;*/
		flex-wrap: wrap-reverse;

	/*align-content: value*/
		/*align-content: center;*/
		/*align-content: flex-start;*/
		align-content: flex-end;

}	

.flex-container p{
	background-color: lightblue;
	margin: 10px;
	border: 1px solid darkred;
	padding: 20px;
	font-size: 25px;
	width: 150px;
}